Get Usage
curl --request GET \
--url https://api.autosnap.com/v1/usageimport requests
url = "https://api.autosnap.com/v1/usage"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.autosnap.com/v1/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Account
Account Usage
View account-level usage statistics.
GET
/
v1
/
usage
Get Usage
GET /v1/usage
v1.0 schema lock. The response shape on this page is the locked v1.0 contract. We will never remove a documented field, never rename a field, and never change a field’s type without bumping to v2 (see Versioning). New fields may be added additively; your client must tolerate unknown keys.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
api_key | string | query | Yes | Your API key |
dealership_id | string | query | No | Filter stats to a specific dealership (public ID, e.g. dlr_8cfc0b00a98b) |
start_date | string | query | No | Start of date range (ISO 8601, e.g. 2026-04-01T00:00:00Z) |
end_date | string | query | No | End of date range (ISO 8601, e.g. 2026-04-30T23:59:59Z) |
Example
curl "https://api.autosnap.com/v1/usage?api_key=YOUR_API_KEY&start_date=2026-04-01T00:00:00Z"
Response
{
"success": true,
"requests": {
"total_requests": 629,
"successful": 624,
"errors": 5,
"rate_limited": 0,
"billable": 629
},
"imports": {
"total_imports": 213,
"completed": 213,
"failed": 0,
"total_vehicles_processed": 230191
}
}